summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2017-12-29 16:11:29 +0100
committerMarek Szuba <marecki@gentoo.org>2017-12-29 16:11:29 +0100
commitdfff7d0d5c2104311e9f5163931597a29862137e (patch)
tree9bb07d49373261a34d704b350b82dcd47528ec29 /sci-electronics/ngspice/ngspice-27-r1.ebuild
parentapp-arch/unadf: amd64 stable wrt bug #636388 (diff)
downloadgentoo-dfff7d0d5c2104311e9f5163931597a29862137e.tar.gz
gentoo-dfff7d0d5c2104311e9f5163931597a29862137e.tar.bz2
gentoo-dfff7d0d5c2104311e9f5163931597a29862137e.zip
sci-electronics/ngspice: reenable tests
If USE=debug is not set, all tests should pass now - excessive output which broke empty-1.cir and resume-1.cir was a side effect of enabling NDEV, which we have just disabled as recommended by upstream. If USE=debug *is* set tests cannot presently succeed because of excessive output in all 4 tests in regression/lib-processing/. Just print a warning and skip the tests altogether. See-Also: https://sourceforge.net/p/ngspice/bugs/353/ Gentoo-Bug: https://bugs.gentoo.org/642460 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'sci-electronics/ngspice/ngspice-27-r1.ebuild')
-rw-r--r--sci-electronics/ngspice/ngspice-27-r1.ebuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/sci-electronics/ngspice/ngspice-27-r1.ebuild b/sci-electronics/ngspice/ngspice-27-r1.ebuild
index c7357f55c6e..849d3e48a21 100644
--- a/sci-electronics/ngspice/ngspice-27-r1.ebuild
+++ b/sci-electronics/ngspice/ngspice-27-r1.ebuild
@@ -15,9 +15,6 @@ SLOT="0"
IUSE="X debug doc examples fftw openmp readline shared tcl"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x64-macos"
-# See bug #642460
-RESTRICT="test"
-
DEPEND="sys-libs/ncurses:0=
X? ( x11-libs/libXaw
x11-libs/libXt
@@ -179,7 +176,14 @@ ngspice_install() {
}
src_test() {
- multibuild_foreach_variant ngspice_test
+ if ! use debug; then
+ multibuild_foreach_variant ngspice_test
+ else
+ # https://sourceforge.net/p/ngspice/bugs/353/
+ ewarn
+ ewarn "Skipping tests because they are known to fail in debug mode"
+ ewarn
+ fi
}
ngspice_test() {